Install / Upgrade

How to perform a clean uninstall of OnGuard 7.5 and above

03/03/2022April Daniels
How to perform a clean uninstall of OnGuard 7.5 and above Symptom There are times where an uninstall/reinstall of the software may be required. Resolution The below would be used to do a clean uninstall then reinstall of OnGua...

Upgrading from OnGuard 6.6 through 7.4 to OnGuard 7.6 and later

02/16/2022April Daniels
Symptom You must take certain steps when configuring new hardware and upgrading to OnGuard 7.6 or later, then restoring an older OnGuard 7.4 or earlier database on the upgraded system. Resolution Contact SIG for a new license file that support...

Required installations and configurations before performing the OnGuard installation.

02/10/2022April Daniels
Product Name Required installations and configurations before performing the OnGuard installation.  General Information The following must be installed and configured before installing OnGuard: When installing OnGuard servers or clients, t...

After configuring Database Archiving, errors generate from Setup Assistant and Database Setup

02/07/2022April Daniels
Symptom  When running Setup Assistant or Database Setup after configuring database archiving in System Administration, various errors are generated preventing the creation of the database tables. This is due to the  application.config fi...

Setup Assistant Configuration Editor Error

02/07/2022April Daniels
Symptom  Setup Assistant shows  Configuration editor: Error .     Resolution  Replace the  application.config file with one that works correctly, and make sure that the information inside the file is modified as ne...

Performing a client update will fail when updating from an older OnGuard version to any version of OnGuard 7.6.382.496 or later

11/30/2021Content Creator
Symptom Performing a Client Update will fail when updating from an older (pre-Jan 2021) OnGuard version to any version OnGuard 8.0 or above (Including OnGuard 8.0, 8.0 Update 1 and above) or any interim build of OnGuard 7.6 Update 3 starting from ...

Upgrading RabbitMQ and NGINX for OnGuard

07/19/2021Content Creator
Upgrading RabbitMQ and NGINX for OnGuard® **This document only applies to customers using OnGuard® 7.5 or greater** NOTE: Specific versions of each component are not specified below. Each version of OnGuard® includes a Third-pa...

Microsoft Visual C++ 2015 fails to install when C++ 2017 is already installed

03/12/2019April Daniels
Symptom   OnGuard installation prerequisite Microsoft Visual C++ 2015 fails to install because Microsoft Visual C++ 2017 is already installed.   Resolution   In previous versions of Visual Studio, binary compati...

Upgrading Java to Java 8 for OnGuard 7.4 or later

11/12/2018April Daniels
Symptom   Customers want to use JRE 1.8 (Java 8) in their OnGuard 7.4 environment.   Resolution   The license server is the only application that relies on Java. JRE 1.8. This has been tested, and OnGuard 7.4 does ...

How to create LS Certificate Store if missing from Certificates

09/14/2018April Daniels
Symptom   The LS Certificate Store was not created during OnGuard installation. Resolution   To verify if the LS Certificate Store is present: Press the Windows key + R to open the Run prompt. Alternatively, click St...